import { Api } from "@src/lib/apiValidator.ts";
import { z } from "@shared/utils/validator.ts";

const schema = {
    req: z.obj({
        password: z.string(),
    }),
    res: z.result(
        z.obj({
            isMatch: z.boolean(),
        }),
        z.any(),
    ),
};

export const loginApi = new Api("/login", "POST", schema);
